%define _buildid .51

%global	        gem_name	json
%global         obsolete_ver    1.4.6

%{!?ruby18_sitelib: %global ruby18_sitelib %(ruby1.8 -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}

Name:           rubygem-%{gem_name}
Version:        1.8.3
Release: 1%{?_buildid}%{?dist}
Summary:        A JSON implementation in Ruby
Group:          Development/Languages
License:        Ruby or GPLv2
URL:            http://json.rubyforge.org
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Requires:       rubygem(json)

%description
This is a implementation of the JSON specification according
to RFC 4627 in Ruby.
You can think of it as a low fat alternative to XML,
if you want to store data to disk or transmit it over
a network rather than use a verbose markup language.

%package -n     rubygem18-%{gem_name}
Summary: 	A JSON implementation for Ruby 1.8
BuildRequires:  ruby(release) = 1.8.7
BuildRequires:  ruby18(irb)
BuildRequires:  ruby18-devel
BuildRequires:  rubygems18-devel
BuildRequires:  rubygem18(rake)
BuildRequires:  rubygem18(minitest)
Requires:       ruby(release) = 1.8.7
Requires:       rubygems18
Provides:       rubygem(json) = %{version}
Provides:       rubygem18(json) = %{version}
Obsoletes:      rubygem-%{gem_name} <= %{obsolete_ver}
Obsoletes:      ruby-%{gem_name} <= %{obsolete_ver}

%description -n rubygem18-%{gem_name}
This is a implementation of the JSON specification according
to RFC 4627 in Ruby, built for Ruby 1.8.
You can think of it as a low fat alternative to XML,
if you want to store data to disk or transmit it over
a network rather than use a verbose markup language.

%package -n     rubygem18-%{gem_name}-doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	rubygem18-%{gem_name} = %{version}-%{release}
Obsoletes:      rubygem-%{gem_name}-doc <= %{obsolete_ver}

%description -n rubygem18-%{gem_name}-doc
This package contains documentation for rubygem18-%{gem_name}.

%package -n     rubygem20-%{gem_name}
Summary: 	A JSON implementation for Ruby 2.0
BuildRequires:  ruby(release) = 2.0.0
BuildRequires:  ruby20(irb)
BuildRequires:  ruby20-devel
BuildRequires:  rubygems20-devel
BuildRequires:  rubygem20(rake)
BuildRequires:  rubygem20(minitest)
Requires:       ruby(release) = 2.0.0
Requires:       rubygems20
Provides:       rubygem(json) = %{version}
Provides:       rubygem20(json) = %{version}

%description -n rubygem20-%{gem_name}
This is a implementation of the JSON specification according
to RFC 4627 in Ruby, built for Ruby 2.0.
You can think of it as a low fat alternative to XML,
if you want to store data to disk or transmit it over
a network rather than use a verbose markup language.

%package -n     rubygem20-%{gem_name}-doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	rubygem20-%{gem_name} = %{version}-%{release}

%description -n rubygem20-%{gem_name}-doc
This package contains documentation for rubygem20-%{gem_name}.

%package -n     rubygem21-%{gem_name}
Summary: 	A JSON implementation for Ruby 2.1
BuildRequires:  ruby(abi) = 2.1
BuildRequires:  ruby21(irb)
BuildRequires:  ruby21-devel
BuildRequires:  rubygems21-devel
BuildRequires:  rubygem21(rake)
BuildRequires:  rubygem21(minitest)
Requires:       ruby(abi) = 2.1
Requires:       ruby(release) >= %(ruby2.1 -e 'print RUBY_VERSION' 2>/dev/null || echo 2.1)
Requires:       ruby21(rubygems)
Provides:       rubygem(json) = %{version}
Provides:       rubygem21(json) = %{version}

%description -n rubygem21-%{gem_name}
This is a implementation of the JSON specification according
to RFC 4627 in Ruby, built for Ruby 2.1.
You can think of it as a low fat alternative to XML,
if you want to store data to disk or transmit it over
a network rather than use a verbose markup language.

%package -n     rubygem21-%{gem_name}-doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	rubygem21-%{gem_name} = %{version}-%{release}

%description -n rubygem21-%{gem_name}-doc
This package contains documentation for rubygem21-%{gem_name}.

%package -n     rubygem22-%{gem_name}
Summary: 	A JSON implementation for Ruby 2.2
BuildRequires:  ruby(abi) = 2.2
BuildRequires:  ruby22(irb)
BuildRequires:  ruby22-devel
BuildRequires:  rubygems22-devel
BuildRequires:  rubygem22(rake)
BuildRequires:  rubygem22(minitest)
Requires:       ruby(abi) = 2.2
Requires:       ruby(release) >= %(ruby2.2 -e 'print RUBY_VERSION' 2>/dev/null || echo 2.2)
Requires:       ruby22(rubygems)
Provides:       rubygem(json) = %{version}
Provides:       rubygem22(json) = %{version}

%description -n rubygem22-%{gem_name}
This is a implementation of the JSON specification according
to RFC 4627 in Ruby, built for Ruby 2.2.
You can think of it as a low fat alternative to XML,
if you want to store data to disk or transmit it over
a network rather than use a verbose markup language.

%package -n     rubygem22-%{gem_name}-doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	rubygem22-%{gem_name} = %{version}-%{release}

%description -n rubygem22-%{gem_name}-doc
This package contains documentation for rubygem22-%{gem_name}.

%package -n     rubygem23-%{gem_name}
Summary: 	A JSON implementation for Ruby 2.3
BuildRequires:  ruby(abi) = 2.3
BuildRequires:  ruby23(irb)
BuildRequires:  ruby23-devel
BuildRequires:  rubygems23-devel
BuildRequires:  rubygem23(rake)
# ruby 2.3 shipped with minitest 5, an incompatible release
BuildRequires:  rubygem23(minitest5)
Requires:       ruby(abi) = 2.3
Requires:       ruby(release) >= %(ruby2.3 -e 'print RUBY_VERSION' 2>/dev/null || echo 2.3)
Requires:       ruby23(rubygems)
Provides:       rubygem(json) = %{version}
Provides:       rubygem23(json) = %{version}

%description -n rubygem23-%{gem_name}
This is a implementation of the JSON specification according
to RFC 4627 in Ruby, built for Ruby 2.3.
You can think of it as a low fat alternative to XML,
if you want to store data to disk or transmit it over
a network rather than use a verbose markup language.

%package -n     rubygem23-%{gem_name}-doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	rubygem23-%{gem_name} = %{version}-%{release}

%description -n rubygem23-%{gem_name}-doc
This package contains documentation for rubygem23-%{gem_name}.

%prep
%setup -q -c -T

# Gem repack
TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}

# Change cflags to honor Fedora compiler flags correctly
find . -name extconf.rb | xargs sed -i -e 's|-O3|-O2|' -e 's|-O0|-O2|'

gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR

popd
rm -rf tmpunpackdir


%build
%gem18_install
%gem20_install
%gem21_install
%gem22_install
%gem23_install

find . -name \*gem -exec chmod 0644 {} \;

# compile again
find . -name extconf.rb | while read f
do
	make -C $(dirname $f) clean all install
done

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{gem18_dir}
mkdir -p %{buildroot}%{gem20_dir}
mkdir -p %{buildroot}%{gem21_dir}
mkdir -p %{buildroot}%{gem22_dir}
mkdir -p %{buildroot}%{gem23_dir}
 
cp -a .%{gem18_dir}/* %{buildroot}/%{gem18_dir}
cp -a .%{gem20_dir}/* %{buildroot}/%{gem20_dir}
cp -a .%{gem21_dir}/* %{buildroot}/%{gem21_dir}
cp -a .%{gem22_dir}/* %{buildroot}/%{gem22_dir}
cp -a .%{gem23_dir}/* %{buildroot}/%{gem23_dir}

# Let's move arch dependent files to arch specific directory
mkdir -p %{buildroot}%{gem18_extdir}/ext
mkdir -p %{buildroot}%{gem20_extdir}/lib/json/ext
mkdir -p %{buildroot}%{gem21_extdir}/lib/json/ext
mkdir -p %{buildroot}%{gem22_extdir}/lib/json/ext
mkdir -p %{buildroot}%{gem23_extdir}/lib/json/ext

install -cpm 0755 ./%{gem18_instdir}/lib/json/ext/*.so \
        %{buildroot}%{gem18_extdir}/ext/

install -cpm 0755 ./%{gem20_instdir}/lib/json/ext/*.so \
        %{buildroot}%{gem20_extdir}/lib/json/ext/

install -cpm 0755 ./%{gem21_extbuilddir}/json/ext/*.so \
        %{buildroot}%{gem21_extdir}/lib/json/ext/

install -cpm 0644 ./%{gem21_extbuilddir}/gem.build_complete \
        %{buildroot}/%{gem21_build_marker}

install -cpm 0755 ./%{gem22_extbuilddir}/json/ext/*.so \
        %{buildroot}%{gem22_extdir}/lib/json/ext/

install -cpm 0644 ./%{gem22_extbuilddir}/gem.build_complete \
        %{buildroot}/%{gem22_build_marker}

install -cpm 0755 ./%{gem23_extbuilddir}/json/ext/*.so \
        %{buildroot}%{gem23_extdir}/lib/json/ext/

install -cpm 0644 ./%{gem23_extbuilddir}/gem.build_complete \
        %{buildroot}/%{gem23_build_marker}

find %{buildroot}%{gem18_instdir} -name \*.rb -print0 | \
        xargs --null chmod 0644
find %{buildroot}%{gem20_instdir} -name \*.rb -print0 | \
        xargs --null chmod 0644
find %{buildroot}%{gem21_instdir} -name \*.rb -print0 | \
        xargs --null chmod 0644
find %{buildroot}%{gem22_instdir} -name \*.rb -print0 | \
        xargs --null chmod 0644
find %{buildroot}%{gem23_instdir} -name \*.rb -print0 | \
        xargs --null chmod 0644

# We don't need those files anymore.
rm -rf %{buildroot}%{gem18_instdir}/ext
rm -rf %{buildroot}%{gem18_instdir}/install.rb
rm -rf %{buildroot}%{gem18_instdir}/{.require_paths,.gitignore,.travis.yml}
rm -rf %{buildroot}%{gem18_instdir}/lib/json/ext/
rm -rf %{buildroot}%{gem18_instdir}/diagrams
rm -rf %{buildroot}%{gem18_docdir}/rdoc/classes/.src
rm -rf %{buildroot}%{gem18_docdir}/rdoc/classes/.html

rm -rf %{buildroot}%{gem18_instdir}/java/

rm -rf %{buildroot}%{gem20_instdir}/ext
rm -rf %{buildroot}%{gem20_instdir}/install.rb
rm -rf %{buildroot}%{gem20_instdir}/{.require_paths,.gitignore,.travis.yml}
rm -rf %{buildroot}%{gem20_instdir}/lib/json/ext/
rm -rf %{buildroot}%{gem20_instdir}/diagrams
rm -rf %{buildroot}%{gem20_docdir}/rdoc/classes/.src
rm -rf %{buildroot}%{gem20_docdir}/rdoc/classes/.html

rm -rf %{buildroot}%{gem20_instdir}/java/

rm -rf %{buildroot}%{gem21_instdir}/ext
rm -rf %{buildroot}%{gem21_instdir}/install.rb
rm -rf %{buildroot}%{gem21_instdir}/{.require_paths,.gitignore,.travis.yml}
rm -rf %{buildroot}%{gem21_instdir}/lib/json/ext/
rm -rf %{buildroot}%{gem21_instdir}/diagrams
rm -rf %{buildroot}%{gem21_docdir}/rdoc/classes/.src
rm -rf %{buildroot}%{gem21_docdir}/rdoc/classes/.html

rm -rf %{buildroot}%{gem21_instdir}/java/

# rubygems 2.2+ builds extensions in a new directory
rm -rf %{buildroot}%{gem21_extbuilddir}
rm -rf %{buildroot}%{gem21_dir}/doc/extensions

rm -rf %{buildroot}%{gem22_instdir}/ext
rm -rf %{buildroot}%{gem22_instdir}/install.rb
rm -rf %{buildroot}%{gem22_instdir}/{.require_paths,.gitignore,.travis.yml}
rm -rf %{buildroot}%{gem22_instdir}/lib/json/ext/
rm -rf %{buildroot}%{gem22_instdir}/diagrams
rm -rf %{buildroot}%{gem22_docdir}/rdoc/classes/.src
rm -rf %{buildroot}%{gem22_docdir}/rdoc/classes/.html

rm -rf %{buildroot}%{gem22_instdir}/java/

# rubygems 2.2+ builds extensions in a new directory
rm -rf %{buildroot}%{gem22_extbuilddir}
rm -rf %{buildroot}%{gem22_dir}/doc/extensions

rm -rf %{buildroot}%{gem23_instdir}/ext
rm -rf %{buildroot}%{gem23_instdir}/install.rb
rm -rf %{buildroot}%{gem23_instdir}/{.require_paths,.gitignore,.travis.yml}
rm -rf %{buildroot}%{gem23_instdir}/lib/json/ext/
rm -rf %{buildroot}%{gem23_instdir}/diagrams
rm -rf %{buildroot}%{gem23_docdir}/rdoc/classes/.src
rm -rf %{buildroot}%{gem23_docdir}/rdoc/classes/.html

rm -rf %{buildroot}%{gem23_instdir}/java/

# rubygems 2.2+ builds extensions in a new directory
rm -rf %{buildroot}%{gem23_extbuilddir}
rm -rf %{buildroot}%{gem23_dir}/doc/extensions

# Install links for compatibility with old ruby-json package
mkdir -p %{buildroot}%{ruby18_sitelib}
cp -al %{buildroot}%{gem18_libdir}%{gem_name}/ %{buildroot}%{ruby18_sitelib}
cp -al %{buildroot}%{gem18_libdir}%{gem_name}.rb %{buildroot}%{ruby18_sitelib}

%clean
rm -rf %{buildroot}

%check
# We're telling Ruby the search path to use for JSON which means we can't include
# the directory the libraries are actually stored in.
pushd .%{gem18_instdir}
ruby1.8 -S testrb -I%{buildroot}%{gem18_extdir}/.. $(ls -1 tests/test_*.rb | sort)
popd
pushd .%{gem20_instdir}
ruby2.0 -S testrb -I%{buildroot}%{gem20_extdir}/.. $(ls -1 tests/test_*.rb | sort)
popd
pushd .%{gem21_instdir}
ruby2.1 -S testrb -I%{buildroot}%{gem21_extdir}/.. $(ls -1 tests/test_*.rb | sort)
popd
pushd .%{gem22_instdir}
# testrb was removed in ruby22
ruby2.2 -Ilib:%{buildroot}%{gem22_extdir}/..:. \
   -e "gem 'minitest'; Dir.glob('tests/test_*.rb').sort.each {|f| require f}"
popd
pushd .%{gem23_instdir}
ruby2.3 -Ilib:%{buildroot}%{gem23_extdir}/..:. \
   -e "gem 'minitest'; Dir.glob('tests/test_*.rb').sort.each {|f| require f}"
popd

%files -n rubygem18-%{gem_name}
%doc %{gem18_instdir}/[A-Z]*
%exclude %{gem18_instdir}/Rakefile
%dir %{gem18_instdir}
%dir %{gem18_libdir}
%{gem18_instdir}/tools/
%{gem18_libdir}/%{gem_name}/pure/
%{gem18_libdir}/json.rb
%{gem18_libdir}/%{gem_name}/add
%{gem18_libdir}/%{gem_name}/common.rb
%{gem18_libdir}/%{gem_name}/ext.rb
%{gem18_libdir}/%{gem_name}/version.rb
%{gem18_libdir}/%{gem_name}/generic_object.rb
%{gem18_libdir}/%{gem_name}/pure.rb
%{gem18_extdir}
%{gem18_spec}
%exclude %{gem18_cache}
%{ruby18_sitelib}/%{gem_name}.rb
%{ruby18_sitelib}/%{gem_name}/pure/
%{ruby18_sitelib}/%{gem_name}/add/
%{ruby18_sitelib}/%{gem_name}/common.rb
%{ruby18_sitelib}/%{gem_name}/ext.rb
%{ruby18_sitelib}/%{gem_name}/version.rb
%{ruby18_sitelib}/%{gem_name}/generic_object.rb
%{ruby18_sitelib}/%{gem_name}/pure.rb

%files -n rubygem18-%{gem_name}-doc
%{gem18_instdir}/Rakefile
%{gem18_instdir}/data
%{gem18_instdir}/*gemspec
%{gem18_docdir}/
%exclude %{gem18_instdir}/tests

%files -n rubygem20-%{gem_name}
%doc %{gem20_instdir}/[A-Z]*
%exclude %{gem20_instdir}/Rakefile
%dir %{gem20_instdir}
%dir %{gem20_libdir}
%{gem20_instdir}/tools/
%{gem20_libdir}/%{gem_name}/pure/
%{gem20_libdir}/json.rb
%{gem20_libdir}/%{gem_name}/add
%{gem20_libdir}/%{gem_name}/common.rb
%{gem20_libdir}/%{gem_name}/ext.rb
%{gem20_libdir}/%{gem_name}/version.rb
%{gem20_libdir}/%{gem_name}/generic_object.rb
%{gem20_libdir}/%{gem_name}/pure.rb
%{gem20_extdir}
%{gem20_spec}
%exclude %{gem20_cache}

%files -n rubygem20-%{gem_name}-doc
%{gem20_instdir}/Rakefile
%{gem20_instdir}/data
%{gem20_instdir}/*gemspec
%{gem20_docdir}/
%exclude %{gem20_instdir}/tests

%files -n rubygem21-%{gem_name}
%doc %{gem21_instdir}/[A-Z]*
%exclude %{gem21_instdir}/Rakefile
%dir %{gem21_instdir}
%dir %{gem21_libdir}
%{gem21_instdir}/tools/
%{gem21_libdir}/%{gem_name}/pure/
%{gem21_libdir}/json.rb
%{gem21_libdir}/%{gem_name}/add
%{gem21_libdir}/%{gem_name}/common.rb
%{gem21_libdir}/%{gem_name}/ext.rb
%{gem21_libdir}/%{gem_name}/version.rb
%{gem21_libdir}/%{gem_name}/generic_object.rb
%{gem21_libdir}/%{gem_name}/pure.rb
%{gem21_extdir}
%{gem21_spec}
%{gem21_build_marker}
%exclude %{gem21_cache}

%files -n rubygem21-%{gem_name}-doc
%{gem21_instdir}/Rakefile
%{gem21_instdir}/data
%{gem21_instdir}/*gemspec
%{gem21_docdir}/
%exclude %{gem21_instdir}/tests

%files -n rubygem22-%{gem_name}
%doc %{gem22_instdir}/[A-Z]*
%exclude %{gem22_instdir}/Rakefile
%dir %{gem22_instdir}
%dir %{gem22_libdir}
%{gem22_instdir}/tools/
%{gem22_libdir}/%{gem_name}/pure/
%{gem22_libdir}/json.rb
%{gem22_libdir}/%{gem_name}/add
%{gem22_libdir}/%{gem_name}/common.rb
%{gem22_libdir}/%{gem_name}/ext.rb
%{gem22_libdir}/%{gem_name}/version.rb
%{gem22_libdir}/%{gem_name}/generic_object.rb
%{gem22_libdir}/%{gem_name}/pure.rb
%{gem22_extdir}
%{gem22_spec}
%{gem22_build_marker}
%exclude %{gem22_cache}

%files -n rubygem22-%{gem_name}-doc
%{gem22_instdir}/Rakefile
%{gem22_instdir}/data
%{gem22_instdir}/*gemspec
%{gem22_docdir}/
%exclude %{gem22_instdir}/tests

%files -n rubygem23-%{gem_name}
%doc %{gem23_instdir}/[A-Z]*
%exclude %{gem23_instdir}/Rakefile
%dir %{gem23_instdir}
%dir %{gem23_libdir}
%{gem23_instdir}/tools/
%{gem23_libdir}/%{gem_name}/pure/
%{gem23_libdir}/json.rb
%{gem23_libdir}/%{gem_name}/add
%{gem23_libdir}/%{gem_name}/common.rb
%{gem23_libdir}/%{gem_name}/ext.rb
%{gem23_libdir}/%{gem_name}/version.rb
%{gem23_libdir}/%{gem_name}/generic_object.rb
%{gem23_libdir}/%{gem_name}/pure.rb
%{gem23_extdir}
%{gem23_spec}
%{gem23_build_marker}
%exclude %{gem23_cache}

%files -n rubygem23-%{gem_name}-doc
%{gem23_instdir}/Rakefile
%{gem23_instdir}/data
%{gem23_instdir}/*gemspec
%{gem23_docdir}/
%exclude %{gem23_instdir}/tests

%changelog
* Fri Jan 29 2016 Tom Kirchner <tjk@amazon.com>
- Add Ruby 2.3 support
- import source package F23/rubygem-json-1.8.3-100.fc23
- import source package F23/rubygem-json-1.8.2-101.fc23
- import source package F22/rubygem-json-1.8.2-100.fc22
- import source package F21/rubygem-json-1.7.7-104.fc21
- import source package F21/rubygem-json-1.7.7-103.fc21

* Thu Sep 24 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.8.3-100
- Update to 1.8.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-101
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 6 2015 Tom Kirchner <tjk@amazon.com>
- Build for ruby22
- Remove bootstrap bcond for old process
- Update to json 1.8.2

* Fri Jan 16 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.8.2-100
- Update to 1.8.2

* Thu Sep 4 2014 Ben Cressey <bcressey@amazon.com>
- update path to extension build marker

* Sat Aug 30 2014 Tom Kirchner <tjk@amazon.com>
- Remove unused extension docs directory
- Disable bootstrapping of json gem

* Fri Aug 29 2014 Tom Kirchner <tjk@amazon.com>
- Use standard name for rubygems21 Requires

* Thu Aug 28 2014 Tom Kirchner <tjk@amazon.com>
- Update to json-1.8.1
- Add ability to bootstrap by not using json to build docs

* Wed Aug 27 2014 Tom Kirchner <tjk@amazon.com>
- Add ruby 2.1 build of json gem

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.7-104
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 25 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.7.7-103
- Fixes for Ruby 2.1 packaging guidelines (#1107150)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.7-102
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Tom Kirchner <tjk@amazon.com>
- Create ruby-json compatibility links in rubygem18-json

* Wed Mar 19 2014 Tom Kirchner <tjk@amazon.com>
- Obsolete ruby-json so we move to rubygem-json

* Mon Mar 17 2014 Tom Kirchner <tjk@amazon.com>
- Restore buildroot cleanup at start of install
- Move Rakefile exclude for clarity
- Add search path comment in check section
- Add standard clean section
- Remove unused obsoletes of ruby*-json-gui

* Fri Mar 14 2014 Lee Trager <ltrager@amazon.com>
- Don't provide the unversioned packages
- Build the pure module
- Remove %expands as they are no longer needed

* Thu Mar 13 2014 Lee Trager <ltrager@amazon.com>
- Remove meta package

* Wed Mar 12 2014 Lee Trager <ltrager@amazon.com>
- Fix Ruby 2.0 build deps
- Fix search path for Ruby 1.8 tests
- Install Ruby 1.8 arch libs using the old style

* Tue Mar 11 2014 Lee Trager <ltrager@amazon.com>
- Fix building against old style ruby 1.8

* Fri Feb 28 2014 Lee Trager <ltrager@amazon.com>
- Require ruby(irb)

* Thu Feb 27 2014 Lee Trager <ltrager@amazon.com>
- Build for both Ruby 1.8 and 2.0
- import source package F20/rubygem-json-1.7.7-101.fc20

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.7-101
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Josef Stribny <jstribny@redhat.com> - 1.7.7-100
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
- Update to JSON 1.7.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 06 2012 Xavier Lamien <laxathom@lxtnow.net> - 1.7.5-1
- Update to Upstream release.
- Add mtasaka changes request.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 6 2012 ltrager <ltrager@amazon.com>
- import source package F16/rubygem-json-1.4.6-3.fc15
- setup complete for package rubygem-json

* Sat Jan 21 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.6.5-1
- 1.6.5

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 1.4.6-2
- Rebuilt for gcc bug 634757

* Sat Sep 18 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.6-1
- Update release.
- Enabled test stage.

* Fri Jun 11 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.3-3
- Move ruby's site_lib editor to ruby-json-gui.

* Mon May 10 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.3-2
- Move editor out of ruby-json sub-package.

* Sun May 09 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.3-1
- Update release.
- Split-out json editor.

* Thu Oct 29 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.9-1
- Update release.

* Wed Aug 12 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.7-3
- Fix gem scripts and install_dir.
- Enable %%check stage.

* Wed Aug 05 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.7-2
- Rebuild in correct buildir process.
- Add sub packages.

* Mon Aug 03 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.7-1
- Update release.

* Sat Jun 06 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.6-1
- Update release.

* Tue May 12 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.5-1
- Update release.

* Thu Apr 02 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.4-1
- Update release.

* Sat Jul 12 2008 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.3-1
- Initial RPM release.
